package com.blueworld.naming;

import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.NamingException;
import javax.naming.spi.InitialContextFactory;


public class InitialContextFactoryImpl
	implements InitialContextFactory
{

	public InitialContextFactoryImpl()
	{
	}

	public InitialContextFactoryImpl(Hashtable env)
	{
		_env = env;
	}

	public static LocalRegistry getContextModel()
	{
		return _reg; //(LocalRegistry)_reg.get();
	}

	public static void setContextModel(LocalRegistry reg)
	{
		_reg = reg; // _reg.set(model);
	}

	public Context getInitialContext(Hashtable env)
		throws NamingException
	{
		if(_env != null)
		{
			if(env == null)
			{
				env = (Hashtable)_env.clone();
			} else
			{
				Hashtable newEnv = new Hashtable(_env);
				newEnv.putAll(env);
				env = newEnv;
			}
		}
		LocalRegistry reg = _reg; //(LocalRegistry)_reg.getLevel();
		if(reg == null)
		{
			/*
			reg = (LocalRegistry)_reg.get();
			reg = (reg != null) ? reg.copy() : new LocalRegistry();
			_reg.set(reg);
			*/
			reg = new LocalRegistry();
			_reg = reg;
		}
		return new ContextImpl(reg, env);
	}

	//private static ClassLoaderLocal _reg = new ClassLoaderLocal("com.blueworld.naming.factory-model");
	private static LocalRegistry _reg = new LocalRegistry();
	private Hashtable _env;
}
