package com.blueworld.naming;

import javax.naming.*;

public class LNameParser
	implements NameParser
{

	LNameParser(ContextImpl ctx)
	{
		this.ctx = ctx;
	}

	public Name parse(String name)
		throws NamingException
	{
		Name parsedName = new LName(ctx);
		for(; name != null && !name.equals(""); name = ctx.parseRest(name))
		{
			String first = ctx.parseFirst(name);
			if(first == null)
				return parsedName;
			parsedName.add(first);
		}

		return parsedName;
	}

	private ContextImpl ctx;
}
