package com.omnipilot.lassopro;

/**
* These values correspond to various secure operations that require proper permissions.
* @see LassoCall#operationAllowed
*/
public final class LassoSecureOperations
{
	private LassoSecureOperations() {;}
	
	public static final int FILE_INSPECT 		= 0;
	public static final int FILE_CREATE 		= 1;
	public static final int FILE_DELETE 		= 2;
	public static final int FILE_COPY 			= 3;
	public static final int FILE_MOVE 			= 4;
	public static final int FILE_READ 			= 5;
	public static final int FILE_WRITE			= 6;
	public static final int ACCESS_OUTSIDE_ROOT	= 7;
	
}


