<?LassoScript
// This file sets up the environment in which the page will run.

// -----------
// sql queries

var:'kAdminInfo' =
'select id,name,password from security_users where id = 2';

var:'kGlobalPrefs' = 'select * from global_prefs
where store_key in (\'lasso_install_date\',\'lasso_register_name\',\'lasso_register_org\',\'lasso_release_date\')';


// -----------
// global vars

var:'kPurchaseURL' = 'http://store.omnipilot.com/';


var:'db' = 'lasso_internal';
var:'err'= 0, 'err_msg'='';
var:'temp'='';

var:'prefs_map'=map;
var:'login_admin' = map;
var:'admin_map'=map;



// -----------
// global vars


var:'login_action'='';

if: action_param:'action' != null;
	$login_action = action_param:'action';
/if;


inline: -log=$__startup_loglevel__, -database=$db, -maxrecords=1, -sql=$kAdminInfo;
	$err = error_currenterror:-errorcode; $err_msg = error_currenterror;
	if: !$err && found_count;
		loop:(field_name:-count);
			$admin_map->insert:(field_name:loop_count) = field:(field_name:loop_count);
		/loop;
	/if;
/inline;


inline: -log=$__startup_loglevel__, -database=$db, -sql=$kGlobalPrefs;
	$err = error_currenterror:-errorcode; $err_msg = error_currenterror;
	if: !$err && found_count;
		records;
			$prefs_map->insert:(field:'store_key')=(field:'data');
		/records;
	/if;
/inline;

// dispatch
if: $login_action >> 'Update Username and Password';

	$login_admin->insert:'name' = (action_param:'username');
	$login_admin->insert:'password' = (encrypt_md5: (action_param:'password'));
	$login_admin->insert:'password_plain' = (action_param:'password');

	if: (action_param:'username') == '';

		$err = 1; $err_msg = 'Please enter Administrator login name';
		($login_admin->find:'name') = 'administrator';

	else: ($login_admin->find:'password') != ($admin_map->find:'password');

		$err = 3; $err_msg = 'Incorrect password';

	else: (action_param:'password_new') == null || (action_param:'password_confirm') == null;

		$err = 2; $err_msg = 'New password must be non-empty.';

	else: (action_param:'password_new') != null && (action_param:'password_confirm') != null &&
		  ((action_param:'password_new') != (action_param:'password_confirm'));

		$err = 2; $err_msg = 'New password and confirmation password do not match';

	else;

		$login_admin->insert:'password_new' = (encrypt_md5: (action_param:'password_new'));

	/if;

	if: !$err && ($admin_map->find:'id');
		inline: -log=$__startup_loglevel__, -database=$db, -sql='update security_users set name=\'' + $login_admin->(find:'name') +
			'\', password=\'' + $login_admin->(find:'password_new') + '\', password_plain=\'' + $login_admin->(find:'password_plain') + '\' where id=' + 
			$admin_map->(find:'id');
			$err = error_currenterror:-errorcode; $err_msg = error_currenterror;
			if: !$err;
				($admin_map->find:'name') = ($login_admin->find:'name');
				_security_flushcaches;
			/if;
		/inline;

		redirect_url: (response_filepath);

	/if;

else: $login_action >> 'Restart Site';

		{
			sleep: 1000;
			lasso_siterestart;
		}->asasync;

else: $login_action >> 'Purchase Lasso';

	redirect_url: $kPurchaseURL;

/if;

// Obscure Password
$admin_map->insert:'password'='********';

?>
