<form autocomplete="off" action="[var: 'admin_link', -encodenone]" method="post">
<div class="content_split">
	<div id="content_left" class="content_left" style="min-height: 144px">
		<h2>Syntax Settings</h2>
		<table>
			<tr>
				<th>Classic Lasso Syntax</th>
				<td>
					<select name="lasso_classic_enabled" class="std_pop_medium">
						<option value="Y"[if: $settings_prefs->(find: 'lasso_classic_enabled') == 'Y'] selected="selected"[/if]>Enabled</option>
						<option value="N"[if: $settings_prefs->(find: 'lasso_classic_enabled') == 'N'] selected="selected"[/if]>Minimal</option>
						<option value="X"[if: $settings_prefs->(find: 'lasso_classic_enabled') == 'X'] selected="selected"[/if]>Disabled</option>
					</select>
				</td>
			</tr>
			<tr>
				<th>Error Reporting</th>
				<td>
					<select name="error_reporting" class="std_pop_medium">
						<option value="none"[if: $settings_prefs->(find: 'error_reporting') >> 'none'] selected="selected"[/if]>None</option>
						<option value="minimal"[if: $settings_prefs->(find: 'error_reporting') >> 'minimal'] selected="selected"[/if]>Minimal</option>
						<option value="full"[if: $settings_prefs->(find: 'error_reporting') >> 'full'] selected="selected"[/if]>Full</option>
					</select>
				</td>
			</tr>
			<tr>
				<th>LassoApps</th>
				<td>
					<select name="lasso_apps_enabled" class="std_pop_medium">
						<option value="Y"[if: $settings_prefs->(find: 'lasso_apps_enabled') != 'N'] selected="selected"[/if]>Enabled</option>
						<option value="N"[if: $settings_prefs->(find: 'lasso_apps_enabled') == 'N'] selected="selected"[/if]>Disabled</option>
					</select>
				</td>
			</tr>
			<tr>
				<th>Digest Authentication</th>
				<td>
					<select name="lasso_digest_auth" class="std_pop_medium">
						<option value="Y"[if: $settings_prefs->(find: 'lasso_digest_auth') != 'N'] selected="selected"[/if]>Enabled</option>
						<option value="N"[if: $settings_prefs->(find: 'lasso_digest_auth') == 'N'] selected="selected"[/if]>Disabled</option>
					</select>
				</td>
			</tr>
		</table>
		<p align="right">
			<input type="submit" value="Update" name="action" class="small" />
		</p>
	</div>
	<div id="content_right" class="content_right" style="min-height: 144px">
		<h2>Recursion Limit</h2>
		<table>
			<tr>
				<th>Limit Recursion</th>
				<td>
					<select name="recursion_enable" class="std_pop_small">
						<option value="Y"[if: (integer: $settings_prefs->(find: 'recursion_limit')) > 0] selected="selected"[/if]>Yes</option>
						<option value="N"[if: (integer: $settings_prefs->(find: 'recursion_limit')) <= 0] selected="selected"[/if]>No</option>
					</select>
				</td>
			</tr>
[if: (integer: $settings_prefs->(find: 'recursion_limit')) === 0][$settings_prefs->(insert: 'recursion_limit' = 50)][/if]
			<tr>
				<th>Recursion Threshold</th>
				<td>
					<input name="recursion_limit" class="small" value="[integer: $settings_prefs->(find: 'recursion_limit')]">
				</td>
			</tr>
		</table>
		<p align="right">
			<input type="submit" value="Update" name="action" class="small" />
		</p>
	</div>
	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>
</div>
<div class="content_split">
	<div id="content_left" class="content_left" style="min-height: 144px">
		<h2>Default Page Encoding</h2>
		<table>
			<tr>
				<th>Encoding</th>
				<td nowrap>
<?LassoScript
	var: 'default_page_encoding' = (string: (global: '__encoding__'));
	$default_page_encoding->trim;
	var: 'done' = false;
	if: ($default_page_encoding == '');
		var: 'default_page_encoding' = 'utf-8';
	else: ($default_page_encoding == 'utf8');
		var: 'default_page_encoding' = 'utf-8';
	else: ($default_page_encoding == 'iso8859-1');
		var: 'default_page_encoding' = 'iso-8859-1';
	/if;
?>
					<select name="default_page_encoding" class="std_pop_medium">
						<option value="utf-8"[if: ($default_page_encoding == 'utf-8')][var: 'done' = true] selected="selected"[/if]>UTF-8 (Unicode)</option>
						<option value="iso-8859-1"[if: ($default_page_encoding == 'iso-8859-1')][var: 'done' = true] selected="selected"[/if]>Latin-1 (ISO 8859-1)</option>
					[if: ($done == false)]
						<option value="[var: 'default_page_encoding']" selected="selected">[var: 'default_page_encoding']</option>
					[/if]
						<option value="...">Other...</option>
					</select>
					<input type="text" name="page_encoding_other" value="" class="small" />
				</td>
			</tr>
		</table>
		<p align="right">
			<input type="submit" value="Update" name="action" class="small" />
		</p>
	</div>
	<div id="content_right" class="content_right" style="min-height: 144px">
		<h2>Format File Execution Time Limit</h2>
		<table>
			<tr>
				<th>Limit Execution Time</th>
				<td>
					<select name="execution_enable" class="std_pop_small">
						<option value="Y"[if: (integer: $settings_prefs->(find: 'execution_timelimit')) > 0] selected="selected"[/if]>Yes</option>
						<option value="N"[if: (integer: $settings_prefs->(find: 'execution_timelimit')) <= 0] selected="selected"[/if]>No</option>
					</select>
				</td>
			</tr>
[if: (integer: $settings_prefs->(find: 'execution_timelimit')) === 0][$settings_prefs->(insert: 'execution_timelimit' = 600)][/if]
			<tr>
				<th>Time Limit</th>
				<td>
					<input name="execution_timelimit" class="small" value="[integer: $settings_prefs->(find: 'execution_timelimit')]"> Seconds
				</td>
			</tr>
		</table>
		<p align="right">
			<input type="submit" value="Update" name="action" class="small" />
		</p>
	</div>
	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>
</div>
</form>

