<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" >
	<head>
		<title>Initialize Site</title>
		<style>[include: (lassoapp_link: 'default_css.lasso')]</style>
	</head>
	<body>
		<div id="frame_main" class="frame_main">

[if: (client_type >> 'MSIE') && (client_type >> 'Mac_PowerPC')]
			<div id="header_tab1" align="center">
				<img class="graphic_left" src="[lassoapp_link:'images/logo_left.jpg']" alt="" width="144" height="36" />
				<a href="http://www.omnipilot.com/" target="_new"><img class="graphic_right" src="[lassoapp_link:'images/logo_right.jpg']" alt="" width="144" height="36" border=0 /></a>
				<a href="[Response_FilePath]?initialize=initialize" class="tab1 active1"><img class="corner_left1" src="[lassoapp_link:'images/blank.gif']" border="0" alt="" width="1" height="1" />&nbsp;&nbsp;&nbsp;Initialize&nbsp;&nbsp;&nbsp;<img class="corner_right1" src="[lassoapp_link:'images/blank.gif']" border="0" alt="" width="1" height="1" /></a>
			</div>
			<div id="header_tab2" class="header_tab2">&nbsp;</div>
[else]
			<div id="header_tab1" class="header_tab1" align="center">
				<img class="graphic_left" src="[lassoapp_link:'images/logo_left.jpg']" alt="" width="144" height="36" />
				<a href="http://www.omnipilot.com/" target="_new"><img class="graphic_right" src="[lassoapp_link:'images/logo_right.jpg']" alt="" width="144" height="36" border=0 /></a>
				<a href="[Response_FilePath]?initialize=initialize" class="tab1 active1"><img class="corner_left1" src="[lassoapp_link:'images/corner_ffffff_left.gif']" border="0" alt="" width="2" height="2" /><span class="tab1">Initialize</span><img class="corner_right1" src="[lassoapp_link:'images/corner_ffffff_right.gif']" border="0" alt="" width="2" height="2" /></a>
			</div>
			<div id="header_tab2" class="header_tab2">&nbsp;</div>
[/if]

<form autocomplete="off" action="[response_filepath]" method="post">
	<input type="hidden" name="initialize" value="initialize" />

<div class="content_split">
	<div id="content_left" class="content_left">
		
		<h2>Welcome to Lasso Professional 8</h2>
		
		<p>Before operating your site, it needs to be initialized
		by completing the following steps:</p>
		
		<ol>
			<li>Create a site administrator username and password.</li>
			<li>Enter your outgoing email preferences.</li>
		</ol>
		
		<p>After these steps are completed you can access the administration
		interface to complete the setup and configuration and begin using Lasso
		Professional 8.</p>
				
	</div>
	<div id="content_right" class="content_right">

		<h2>Create a Site Administrator Username and Password</h2>
		
		<table>
			<tr>
				<th width="35%">Administrator Username</th>
				<td><input type="text" name="admin_username" value="[var:'admin_username']" /></td>
			</tr>
			<tr>
				<th width="35%">Administrator Password</th>
				<td><input type="password" name="admin_password" value="[var:'admin_password']" /></td>
			</tr>
			<tr>
				<th width="35%">Confirm Password</th>
				<td><input type="password" name="admin_confirm" value="[var:'admin_confirm']" /></td>
			</tr>
		</table>
		
	[if: (var_defined:'admin_username_error') && ((var: 'admin_username_error') != '')]
		<p class="error">[var:'admin_username_error']</p>
	[/if]
	[if: (var_defined:'admin_password_error') && ((var: 'admin_password_error') != '')]
		<p class="error">[var:'admin_password_error']</p>
	[/if]

		<h2>Outgoing Email Preferences</h2>
		
		<table>
			<tr>
				<th width="35%">SMTP Host</th>
				<td><input type="text" name="lasso_smtp_host" value="[encode_html: $admin_prefs->(find: 'lasso_smtp_host')]" /></td>
			</tr>
			<tr>
				<th width="35%">SMTP AUTH Username</th>
				<td><input type="text" name="lasso_smtp_username" value="[encode_html: $admin_prefs->(find: 'lasso_smtp_username')]" /></td>
			</tr>
			<tr>
				<th width="35%">SMTP AUTH Password</th>
				<td><input type="password" name="lasso_smtp_password" value="[encode_html: $admin_prefs->(find: 'lasso_smtp_password')]" /></td>
			</tr>
			<tr>
				<th width="35%">Admin Email Address</th>
				<td><input type="text" name="lasso_admin_email" value="[encode_html: $admin_prefs->(find: 'lasso_admin_email')]" /></td>
			</tr>
		</table>

		<p>This SMTP server will be used for outgoing mail from Lasso. You can modify these settings in the
		Utility > Email > Setup section later.</p>

		<p align="right">
			<input type="Submit" name="action" value="Submit Information">
		</p>

	</div>
	<div id="content_clear" class="content_clear"><img src="[lassoapp_link:'images/blank.gif']" height="1" width="1" border="0"></div>
</div>

</form>

			<div id="frame_footer" class="frame_footer">
				<table style="margin:0px">
					<tr>
						<td align="center">Initialize Lasso Professional 8</td>
					</tr>
				</table>
			</div>


		</div>

		<p>&copy; 1996[if: date->year > 1996]-[date->year][/if] OmniPilot Software, Inc.</p>

<!-- [/inline] -->

	</body>
</html>
