<?LassoScript

	_admin_addvar: 'action', -override=(action_param: 'action', (action_param: 'action', -count));

	_admin_addvar: 'cache_expire', -override=(action_param: 'cache_expire'), -default=(60*60*24);
	_admin_addvar: 'cache_limit', -override=(action_param: 'cache_limit'), -default=(32*1024);
	_admin_addvar: 'cache_host', -override=(action_param: 'cache_host'), -default='Y';
	_admin_addvar: 'cache_enable', -override=(action_param: 'cache_enable'), -default='Y';

	var: 'prefs_list' = (array: 'cache_expire', 'cache_limit', 'cache_host', 'cache_enable');

	if: ($action >> 'reset');

		var: 'cache_expire' = (60*60*24);
		var: 'cache_limit' = (32*1024);
		var: 'cache_host' = 'Y';
		var: 'cache_enable' = 'Y';

	/if;

	if: ($action >> 'update') || ($action >> 'reset');

		(global: '_cache_preference') = null;

		var: 'cache_expire' = (integer: $cache_expire);
		if: $cache_expire < 0;
			var: 'cache_expire' = (-1);
		/if;

		var: 'cache_limit' = (integer: $cache_limit);
		if: $cache_limit < 0;
			var: 'cache_limit' = (-1);
		/if;

		if: $cache_host != 'N';
			var: 'cache_host' = 'Y';
		/if;

		if: $cache_enable != 'N';
			var: 'cache_enable' = 'Y';
		/if;

		iterate: $prefs_list, (var: 'temp');
			inline: -log=$__startup_loglevel__, -delete,
					-database='lasso_internal',
					-table='global_prefs',
					-keyfield='store_key',
					-keyvalue='_' + $temp;
			/inline;

			inline: -log=$__startup_loglevel__, -add,
					-database='lasso_internal',
					-table='global_prefs',
					'store_key'='_' + $temp,
					'data'=(var: $temp);
			/inline;
		/iterate;

		// Reset the global cache preferences
		global: '_Cache_Preference' = (cache_preferences);

	/if;

	iterate: $prefs_list, (var: 'temp');
		inline: -log=$__startup_loglevel__, -search,
				-database='lasso_internal',
				-table='global_prefs',
				-keyfield='store_key',
				-keyvalue='_' + $temp;
			if: (found_count > 0);
				var: $temp = (field: 'data');
			/if;
		/inline;
	/iterate;

?>
