<?LassoScript

	/*
		Lasso_Uptime:
			Returns a duration from the time that the Lasso Service was started.
	*/

	define_tag: 'Uptime', -namespace='_global_Lasso_',
		-priority = 'replace';
		local: 'date' = null;
		protect;
			#date->(unserialize: (global: '__Lasso_Uptime__'));
		/protect;
		fail_if: #date->type != 'date', -1, 'The global __Lasso_Uptime__ was not a valid format.';
		return: #date->(difference: date);
	/define_tag;

?>